Subject: Re: bug#22991: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area

From: Kaushal Modi <[email-masked]>
Date: Mon, 14 Mar 2016 09:50:00 -0400

Looks like this discussion is going in loops.

Summary:

(1) I believe that the patch I have fixes the bug I reported and the one
Eli pointed out. And it does so without bringing a drastic change to the
way the description string is generated.
(2) As for an extra binding that shows the complete list of all the active
isearch modes, I agree with Drew that it can show a complete picture of
what isearch is doing behind the scenes. @Drew: Can you please open it as a
new bug report?
(3) Put up a proposal with a patch ( probably at
https://www.emacswiki.org/emacs/Proposals ) on how we should change the way
the descriptions are shown right now.
(4) Email emacs-devel that proposal and ask for
opinions/corrections/improvements.
(5) Based on the consensus, push the resultant code to master branch.

So let's focus on step 1 for now :)